package cn.com.ctop.job.bytedance.controller;

import cn.com.ctop.job.bytedance.data.constant.CtopAdConstant;
import cn.com.ctop.job.bytedance.data.entity.OauthToken;
import cn.com.ctop.job.bytedance.data.service.IByteDanceAdvertiserDataService;
import cn.com.ctop.job.bytedance.data.service.IByteDanceHourlyAccountWarningService;
import cn.com.ctop.job.bytedance.data.service.IBytedanceCampaignReportDailyService;
import cn.com.ctop.job.bytedance.data.service.IBytedanceCampaignReportHourlyService;
import cn.com.ctop.job.bytedance.data.service.IBytedanceCreativeReportDailyService;
import cn.com.ctop.job.bytedance.data.service.IBytedanceCreativeReportHourlyService;
import cn.com.ctop.job.bytedance.data.service.IBytedanceFileVideoGetService;
import cn.com.ctop.job.bytedance.data.service.IBytedanceFundService;
import cn.com.ctop.job.bytedance.data.service.IBytedanceMaterialReportDailyService;
import cn.com.ctop.job.bytedance.data.service.IBytedanceProjectService;
import cn.com.ctop.job.bytedance.data.service.IOauthTokenService;
import cn.com.ctop.job.bytedance.data.utils.Check;
import cn.com.ctop.job.bytedance.data.utils.DateUtils;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.xxl.job.core.context.XxlJobHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * zian Y
 * 2022/2/9
 **/

@RestController
@RequestMapping("/bytedance/bytedanceController")
@Api(tags = "头条")
@Slf4j
public class BytedanceController {
    @Autowired
    private IOauthTokenService tokenService;

    @Autowired
    private IBytedanceFileVideoGetService fileVideoService;


    @ApiOperation(value = "根据账户获取视频素材-账户/素材id 下全部视频素材", notes = "根据账户获取视频素材-账户/素材id 下全部视频素材")
    @PostMapping(value = "/getBytedanceVideoByAccountId")
    public Map<String, String> getBytedanceVideoByAccountId(@RequestBody JSONObject jsonObject) {
        Long accountId = jsonObject.getLong("accountId");
        JSONArray dataList = jsonObject.getJSONArray("materialIds");
        List<Long> materialIds = Check.isNull(dataList) ? null : JSONArray.parseObject(dataList.toJSONString(), List.class);

        String token = tokenService.getByAccountId(accountId);
        OauthToken oauthToken = new OauthToken();
        oauthToken.setAccessToken(token);
        oauthToken.setAccountId(accountId);
        return fileVideoService.getBytedanceVideoByAccountId(oauthToken, materialIds, 1, 100);
    }

    @GetMapping(value = "/testC")
    public void testC(Long accountId) {
        String token = tokenService.getByAccountId(accountId);
        OauthToken oauthToken = new OauthToken();
        oauthToken.setAccessToken(token);
        oauthToken.setAccountId(accountId);
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        listService.checkAdvertiserProject(oauthToken, nowDate, 1);
    }

    @Autowired
    private IByteDanceHourlyAccountWarningService byteDanceHourlyAccountWarningService;
    static ExecutorService executorService = Executors.newFixedThreadPool(3);

    @GetMapping(value = "/testD")
    public void testD() {
        List<Long> tokens = tokenService.getAllToutiaoAccountIds();
        String nowDateStr = DateUtils.getNowDate("yyyy-MM-dd");
        Integer nowDateInt = DateUtils.getIntegerDate(nowDateStr);
        Integer yesterdaInt = DateUtils.getIntegerDate(DateUtils.getAnotherDay("yyyy-MM-dd", nowDateStr, -1));
        tokens.forEach(accountId -> byteDanceHourlyAccountWarningService.byteDanceAccountWarning(accountId, nowDateInt, yesterdaInt));


    }


    private static ExecutorService dailyExecutorService = Executors.newFixedThreadPool(10);
    @Autowired
    private IByteDanceAdvertiserDataService advertiserDataService;

    @Autowired
    IBytedanceCreativeReportDailyService creativeReportDailyService;
    @Autowired
    IBytedanceCreativeReportHourlyService creativeReportHourlyService;
    @Autowired
    IBytedanceCampaignReportHourlyService campaignReportHourlyService;
    @Autowired
    IBytedanceCampaignReportDailyService campaignReportDailyService;
    @Autowired
    private IBytedanceMaterialReportDailyService materialReportDailyService;
    @Autowired
    private IByteDanceAdvertiserDataService advertiserDataServices;
    @Autowired
    private IBytedanceProjectService listService;

    @GetMapping(value = "/testReport")
    public String testReport() {
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        //昨天
        String yesterda = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -1);

//        List<Long> accountIds = tokenService.getAllToutiaoAccountIds();
        List<JSONObject> accountIds = tokenService.getByProjectId(18450885L);

    /*    for (JSONObject obj : accountIds) {
//            String token = tokenService.getByAccountId(id);
            OauthToken oauthToken = new OauthToken();
            oauthToken.setAccessToken(obj.getString("accessToken"));
            oauthToken.setAccountId(obj.getLong("accountId"));
            dailyExecutorService.submit(
                    new Runnable() {
                        @Override
                        public void run() {
                            try {
                                Thread.sleep(500);
//                                fileVideoService.getFileVideoData(oauthToken, null, null, 1, 100);

                                advertiserDataService.getAdvertiserReport(oauthToken, yesterda, yesterda, CtopAdConstant.BYTEDANCE_REPORT_TYPE_DAILY);
                            } catch (Exception e) {
                                e.printStackTrace();
                            }
                        }
                    });

        }*/
        return "ok";
    }


    @GetMapping(value = "/testReportHour")
    public String testReportHour() {
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        String yesterda = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -1);

        //获取 两个日期之间的所有 日期
        List<String> dates = DateUtils.getAllDatesOfTwoTimes("2024-05-29", "2024-06-11");

//                tokenService.getAllToutiaoAccountIds();
        List<Long> accountIds = new ArrayList<>();
        accountIds.add(1799928973572105l);
        accountIds.add(1800189297615018l);
        for (String date : dates) {
            for (Long id : accountIds) {
                String token = tokenService.getByAccountId(id);
                OauthToken oauthToken = new OauthToken();
                oauthToken.setAccessToken(token);
                oauthToken.setAccountId(id);
                dailyExecutorService.submit(
                        new Runnable() {
                            @Override
                            public void run() {
                                try {
                                    Thread.sleep(500);
//                                    materialReportDailyService.bytedanceDailyMaterialReportJobV3Video(oauthToken, yesterda2, yesterda, 1, 100);
//                                    listService.getProjectList(oauthToken, start, yesterda, 1);
//                                    advertiserDataService.getV3AdvertiserReport(oauthToken, start, yesterda, CtopAdConstant.BYTEDAN1CE_REPORT_V3_TYPE_DAILY);
//                                    materialReportDailyService.bytedanceDailyMaterialReportJobV3Video(oauthToken, "2024-01-01", "2024-01-10", 1, 100);
//                                    materialReportDailyService.bytedanceDailyMaterialReportJobV3Image(oauthToken, yesterda2, yesterda, 1, 100);
//                                    advertiserDataService.getV3PromotionProjectReport(oauthToken, date, date, CtopAdConstant.BYTEDANCE_REPORT_V3_TYPE_HOURLY);
                                    advertiserDataService.getAdvertiserReport(oauthToken, date, date, CtopAdConstant.BYTEDANCE_REPORT_TYPE_DAILY);

//                                    advertiserDataService.getV3PromotionProjectReport(oauthToken, date, date, CtopAdConstant.BYTEDANCE_REPORT_V3_TYPE_DAILY);
//                                    advertiserDataService.getV3PromotionMaterialReport(oauthToken, "2023-05-01", "2023-05-31", CtopAdConstant.BYTEDANCE_REPORT_V3_TYPE_DAILY);
//                                    advertiserDataServices.getPositionAdvertiserReport(oauthToken, "2023-07-01", "2023-07-18", CtopAdConstant.BYTEDANCE_REPORT_TYPE_DAILY);
                                } catch (Exception e) {
                                    e.printStackTrace();
                                }
                            }
                        });
            }
        }
        return "ok";
    }

    @GetMapping(value = "/testOneReport")
    public String testOneReport(Long accountId) {
        String token = tokenService.getByAccountId(accountId);
//        String token = tokenService.getAgentToken(accountId);
        if (Check.isNull(token)) {
            log.error("此账户未获取到相关token，accountId：{}", accountId);
            return "no";
        }
        OauthToken oauthToken = new OauthToken();
        oauthToken.setAccessToken(token);
        oauthToken.setAccountId(accountId);
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        String yesterda = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -1);
        String start = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -2);


        Date getDate = new Date();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("HH");
        String hour = simpleDateFormat.format(getDate);
        dailyExecutorService.submit(
                new Runnable() {
                    @Override
                    public void run() {
                        try {
                            Thread.sleep(500);
                            advertiserDataService.getAdvertiserReport(oauthToken, yesterda, yesterda, CtopAdConstant.BYTEDANCE_REPORT_TYPE_HOURLY);

//                            materialReportDailyService.bytedanceDailyMaterialReportJobV3Video(oauthToken, start, yesterda, 1, 100);
//                            advertiserDataService.getV3AdvertiserConfig(oauthToken);
//                            advertiserDataService.getV3PromotionMaterialReport(oauthToken, yesterda, yesterda, CtopAdConstant.BYTEDANCE_REPORT_V3_TYPE_DAILY);
//                            advertiserDataService.getV3AdvertiserReport(oauthToken, nowDate, nowDate, CtopAdConstant.BYTEDANCE_REPORT_V3_TYPE_HOURLY);
//                            listService.getProjectList(oauthToken, start, yesterda, 1);
//                            materialReportDailyService.bytedanceDailyMaterialReportJobV3Image(oauthToken, yesterda2, yesterda, 1, 100);
//                            advertiserDataServices.getPositionAdvertiserReport(oauthToken, yesterda, yesterda, CtopAdConstant.BYTEDANCE_REPORT_TYPE_DAILY);
//                            advertiserDataService.getAgentReport(oauthToken, yesterda, yesterda, CtopAdConstant.BYTEDANCE_REPORT_TYPE_DAILY);

                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                    }
                });
        return "ok";
    }

    @GetMapping(value = "/test1")
    public void test1(Long accountId) {
        String token = tokenService.getByAccountId(accountId);
        OauthToken oauthToken = new OauthToken();
        oauthToken.setAccessToken(token);
        oauthToken.setAccountId(accountId);
        log.info("获取头条视频全量素材---账户--{}======》》》", oauthToken.getAccountId());
        fileVideoService.getFileVideoData(oauthToken, null, null, 1, 100);
    }

    @Autowired
    private IBytedanceFundService bytedanceFundService;

    @GetMapping(value = "/getReports")
    public void getReports() {
        List<JSONObject> tokens = tokenService.getAgentTokens();
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        String yesterda = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -1);
      /*  String yesterda2 = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -2);
        String yesterda3 = DateUtils.getAnotherDay("yyyy-MM-dd", nowDate, -3);*/
        for (JSONObject obj : tokens) {
            advertiserDataService.getAgentReport(obj, yesterda, yesterda);
          /*  advertiserDataService.getAgentReport(obj, yesterda2, yesterda2);
            advertiserDataService.getAgentReport(obj, yesterda3, yesterda3);*/

        }

    }


}