package cn.com.ctop.job.bytedance.data.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 项目信息
 * @date 2023-04-19
 */
@Data
@TableName("bytedance_cdp_project")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "bytedance_cdp_project对象", description = "项目信息")
public class BytedanceCdpProject {

    /**
     * 项目id
     */
    @Excel(name = "项目id", width = 15)
    @ApiModelProperty(value = "项目id")
    private Long projectId;
    /**
     * 项目名称
     */
    @Excel(name = "项目名称", width = 15)
    @ApiModelProperty(value = "项目名称")
    private String name;
    /**
     * 账户id
     */
    @Excel(name = "账户id", width = 15)
    @ApiModelProperty(value = "账户id")
    private Long advertiserId;
    /**
     * 项目状态
     */
    @Excel(name = "项目状态", width = 15)
    @ApiModelProperty(value = "项目状态")
    private String status;
    /**
     * 应用包名
     */
    @Excel(name = "应用包名", width = 15)
    @ApiModelProperty(value = "应用包名")
    private String packageName;
    /**
     * 项目创建时间，格式yyyy-MM-dd HH:mm:ss
     */
    @Excel(name = "项目创建时间，格式yyyy-MM-dd HH:mm:ss", width = 15)
    @ApiModelProperty(value = "项目创建时间，格式yyyy-MM-dd HH:mm:ss")
    private String projectCreateTime;
    /**
     * 项目更新时间，格式yyyy-MM-dd HH:mm:ss
     */
    @Excel(name = "项目更新时间，格式yyyy-MM-dd HH:mm:ss", width = 15)
    @ApiModelProperty(value = "项目更新时间，格式yyyy-MM-dd HH:mm:ss")
    private String projectModifyTime;
    /**
     * 出价方式
     */
    @Excel(name = "出价方式", width = 15)
    @ApiModelProperty(value = "出价方式")
    private String pricing;
    /**
     * 推广目的，枚举值：APP 应用推广、LINK 销售线索推广、MICRO_GAME小程序、QUICK_APP快应用
     */
    @Excel(name = "推广目的，枚举值：APP 应用推广、LINK 销售线索推广、MICRO_GAME小程序、QUICK_APP快应用", width = 15)
    @ApiModelProperty(value = "推广目的，枚举值：APP 应用推广、LINK 销售线索推广、MICRO_GAME小程序、QUICK_APP快应用")
    private String landingType;
    /**
     * 广告类型，枚举值：ALL所有广告，SEARCH 搜索广告
     */
    @Excel(name = "广告类型，枚举值：ALL所有广告，SEARCH 搜索广告", width = 15)
    @ApiModelProperty(value = "广告类型，枚举值：ALL所有广告，SEARCH 搜索广告")
    private String adType;
    /**
     * 定向拓展
     */
    @Excel(name = "定向拓展", width = 15)
    @ApiModelProperty(value = "定向拓展")
    private String audienceExtend;
    /**
     * 目标操作，枚举值：ENABLE 启用项目、DISABLE暂停项目
     */
    @Excel(name = "目标操作，枚举值：ENABLE 启用项目、DISABLE暂停项目", width = 15)
    @ApiModelProperty(value = "目标操作，枚举值：ENABLE 启用项目、DISABLE暂停项目")
    private String optStatus;
    /**
     * 子目标，枚举值：DOWNLOAD 应用下载、LAUNCH 应用调用、RESERVE 预约下载
     */
    @Excel(name = "子目标，枚举值：DOWNLOAD 应用下载、LAUNCH 应用调用、RESERVE 预约下载", width = 15)
    @ApiModelProperty(value = "子目标，枚举值：DOWNLOAD 应用下载、LAUNCH 应用调用、RESERVE 预约下载")
    private String appPromotionType;
    /**
     * 投放模式，允许值：MANUAL手动投放、PROCEDURAL自动投放
     */
    @Excel(name = "投放模式，允许值：MANUAL手动投放、PROCEDURAL自动投放", width = 15)
    @ApiModelProperty(value = "投放模式，允许值：MANUAL手动投放、PROCEDURAL自动投放")
    private String deliveryMode;
    /**
     * 出价系数
     */
    @Excel(name = " 出价系数", width = 15)
    @ApiModelProperty(value = " 出价系数")
    private java.math.BigDecimal searchBidRatio;
    /**
     * 下载链接
     */
    @Excel(name = " 下载链接", width = 15)
    @ApiModelProperty(value = " 下载链接")
    private String downloadUrl;
    /**
     * 优先从系统应用商店下载（下载模式），枚举值：APP_STORE_DELIVERY 优先商店下载、DEFAULT 默认下载
     */
    @Excel(name = "优先从系统应用商店下载（下载模式），枚举值：APP_STORE_DELIVERY 优先商店下载、DEFAULT 默认下载", width = 15)
    @ApiModelProperty(value = "优先从系统应用商店下载（下载模式），枚举值：APP_STORE_DELIVERY 优先商店下载、DEFAULT 默认下载")
    private String downloadMode;
    /**
     * 下载方式，枚举值：DOWNLOAD_URL 直接下载、EXTERNAL_URL 落地页下载
     */
    @Excel(name = "下载方式，枚举值：DOWNLOAD_URL 直接下载、EXTERNAL_URL 落地页下载", width = 15)
    @ApiModelProperty(value = "下载方式，枚举值：DOWNLOAD_URL 直接下载、EXTERNAL_URL 落地页下载")
    private String downloadType;
    /**
     * 应用名
     */
    @Excel(name = "应用名", width = 15)
    @ApiModelProperty(value = "应用名")
    private String appName;
    /**
     * 搜索快投关键词功能，HAS_OPEN:启用，DISABLED:未启用
     */
    @Excel(name = "搜索快投关键词功能，HAS_OPEN:启用，DISABLED:未启用", width = 15)
    @ApiModelProperty(value = "搜索快投关键词功能，HAS_OPEN:启用，DISABLED:未启用")
    private String feedDeliverySearch;
    /**
     * 营销场景，枚举值：VIDEO_AND_IMAGE 短视频/图片、LIVE直播
     */
    @Excel(name = "营销场景，枚举值：VIDEO_AND_IMAGE 短视频/图片、LIVE直播", width = 15)
    @ApiModelProperty(value = "营销场景，枚举值：VIDEO_AND_IMAGE 短视频/图片、LIVE直播")
    private String marketingGoal;
    /**
     * 搜索关键词列表
     */
    @Excel(name = "搜索关键词列表", width = 15)
    @ApiModelProperty(value = "搜索关键词列表")
    private String keywords;
    /**
     * 投放设置
     */
    @Excel(name = " 投放设置", width = 15)
    @ApiModelProperty(value = " 投放设置")
    private String deliverySetting;
    /**
     * 自定义筛选条件（商品投放条件）
     */
    @Excel(name = "自定义筛选条件（商品投放条件）", width = 15)
    @ApiModelProperty(value = "自定义筛选条件（商品投放条件）")
    private String dpaProductTarget;
    /**
     * 优化目标
     */
    @Excel(name = "优化目标", width = 15)
    @ApiModelProperty(value = "优化目标")
    private String optimizeGoal;
    /**
     * 定向设置
     */
    @Excel(name = "定向设置", width = 15)
    @ApiModelProperty(value = "定向设置")
    private String audience;
    /**
     * 关联产品投放相关
     */
    @Excel(name = "关联产品投放相关", width = 15)
    @ApiModelProperty(value = "关联产品投放相关")
    private String relatedProduct;
    /**
     * 广告版位
     */
    @Excel(name = "广告版位", width = 15)
    @ApiModelProperty(value = "广告版位")
    private String deliveryRange;
    /**
     * 监测链接设置
     */
    @Excel(name = "监测链接设置", width = 15)
    @ApiModelProperty(value = "监测链接设置")
    private String trackUrlSetting;
    /**
     * internalAdvertiserInfo
     */
    @Excel(name = "internalAdvertiserInfo", width = 15)
    @ApiModelProperty(value = "internalAdvertiserInfo")
    private String internalAdvertiserInfo;
}
