package cn.com.ctop.job.bytedance.data.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * V3头条项目报表
 */
@Data
@TableName("bytedance_cdp_project_report_hourly")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "bytedance_cdp_project_report_hourly", description = "V3头条项目报表")
public class BytedanceV3ProjectReportHourly {

    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long advertiserId;
    /**
     * 项目ID
     */
    @Excel(name = "项目ID", width = 15)
    @ApiModelProperty(value = "项目ID")
    private Long cdpProjectId;
    /**
     * 项目名称
     */
    @Excel(name = "项目名称", width = 15)
    @ApiModelProperty(value = "项目名称")
    private String cdpProjectName;
    /**
     * 日期
     */
    @Excel(name = "日期", width = 15)
    @ApiModelProperty(value = "日期")
    private String statTimeDay;
    /**
     * 小时
     */
    @Excel(name = "小时", width = 15)
    @ApiModelProperty(value = "小时")
    private Integer statHour;
    /**
     * 激活数
     */
    @Excel(name = "激活数", width = 15)
    @ApiModelProperty(value = "激活数")
    private Integer active;
    /**
     * 激活成本
     */
    @Excel(name = "激活成本", width = 15)
    @ApiModelProperty(value = "激活成本")
    private java.math.BigDecimal activeCost;
    /**
     * 首次付费数
     */
    @Excel(name = "首次付费数", width = 15)
    @ApiModelProperty(value = "首次付费数")
    private Integer activePay;
    /**
     * 首次付费成本
     */
    @Excel(name = "首次付费成本", width = 15)
    @ApiModelProperty(value = "首次付费成本")
    private java.math.BigDecimal activePayCost;
    /**
     * 激活当日首次付费成本
     */
    @Excel(name = "激活当日首次付费成本", width = 15)
    @ApiModelProperty(value = "激活当日首次付费成本")
    private java.math.BigDecimal activePayIntraDayCost;
    /**
     * 激活当日首次付费数
     */
    @Excel(name = "激活当日首次付费数", width = 15)
    @ApiModelProperty(value = "激活当日首次付费数")
    private Integer activePayIntraDayCount;
    /**
     * 激活当日首次付费率
     */
    @Excel(name = "激活当日首次付费率", width = 15)
    @ApiModelProperty(value = "激活当日首次付费率")
    private java.math.BigDecimal activePayIntraDayRate;
    /**
     * 首次付费率
     */
    @Excel(name = "首次付费率", width = 15)
    @ApiModelProperty(value = "首次付费率")
    private java.math.BigDecimal activePayRate;
    /**
     * 激活率
     */
    @Excel(name = "激活率", width = 15)
    @ApiModelProperty(value = "激活率")
    private java.math.BigDecimal activeRate;
    /**
     * 注册数
     */
    @Excel(name = "注册数", width = 15)
    @ApiModelProperty(value = "注册数")
    private Integer activeRegister;
    /**
     * 注册成本
     */
    @Excel(name = "注册成本", width = 15)
    @ApiModelProperty(value = "注册成本")
    private java.math.BigDecimal activeRegisterCost;
    /**
     * 注册率
     */
    @Excel(name = "注册率", width = 15)
    @ApiModelProperty(value = "注册率")
    private java.math.BigDecimal activeRegisterRate;
    /**
     * adDislikeCnt
     */
    @Excel(name = "adDislikeCnt", width = 15)
    @ApiModelProperty(value = "adDislikeCnt")
    private Integer adDislikeCnt;
    /**
     * adReportCnt
     */
    @Excel(name = "adReportCnt", width = 15)
    @ApiModelProperty(value = "adReportCnt")
    private Integer adReportCnt;
    /**
     * 首次付费数(计费时间)
     */
    @Excel(name = "首次付费数(计费时间)", width = 15)
    @ApiModelProperty(value = "首次付费数(计费时间)")
    private Integer attributionActivePay;
    /**
     * 7日人均付费次数(激活时间)
     */
    @Excel(name = "7日人均付费次数(激活时间)", width = 15)
    @ApiModelProperty(value = "7日人均付费次数(激活时间)")
    private java.math.BigDecimal attributionActivePay7dPerCount;
    /**
     * 首次付费成本（计费时间）
     */
    @Excel(name = "首次付费成本（计费时间）", width = 15)
    @ApiModelProperty(value = "首次付费成本（计费时间）")
    private java.math.BigDecimal attributionActivePayCost;
    /**
     * 首次付费率（计费时间）
     */
    @Excel(name = "首次付费率（计费时间）", width = 15)
    @ApiModelProperty(value = "首次付费率（计费时间）")
    private java.math.BigDecimal attributionActivePayRate;
    /**
     * 计费当日付费金额
     */
    @Excel(name = "计费当日付费金额", width = 15)
    @ApiModelProperty(value = "计费当日付费金额")
    private java.math.BigDecimal attributionBillingGameInAppLtv1day;
    /**
     * 计费二日付费金额
     */
    @Excel(name = "计费二日付费金额", width = 15)
    @ApiModelProperty(value = "计费二日付费金额")
    private java.math.BigDecimal attributionBillingGameInAppLtv2days;
    /**
     * 计费三日付费金额
     */
    @Excel(name = "计费三日付费金额", width = 15)
    @ApiModelProperty(value = "计费三日付费金额")
    private java.math.BigDecimal attributionBillingGameInAppLtv3days;
    /**
     * 计费四日付费金额
     */
    @Excel(name = "计费四日付费金额", width = 15)
    @ApiModelProperty(value = "计费四日付费金额")
    private java.math.BigDecimal attributionBillingGameInAppLtv4days;
    /**
     * 计费五日付费金额
     */
    @Excel(name = "计费五日付费金额", width = 15)
    @ApiModelProperty(value = "计费五日付费金额")
    private java.math.BigDecimal attributionBillingGameInAppLtv5days;
    /**
     * 计费六日付费金额
     */
    @Excel(name = "计费六日付费金额", width = 15)
    @ApiModelProperty(value = "计费六日付费金额")
    private java.math.BigDecimal attributionBillingGameInAppLtv6days;
    /**
     * 计费七日付费金额
     */
    @Excel(name = "计费七日付费金额", width = 15)
    @ApiModelProperty(value = "计费七日付费金额")
    private java.math.BigDecimal attributionBillingGameInAppLtv7days;
    /**
     * 计费当日付费ROI
     */
    @Excel(name = "计费当日付费ROI", width = 15)
    @ApiModelProperty(value = "计费当日付费ROI")
    private java.math.BigDecimal attributionBillingGameInAppRoi1day;
    /**
     * 计费二日付费ROI
     */
    @Excel(name = "计费二日付费ROI", width = 15)
    @ApiModelProperty(value = "计费二日付费ROI")
    private java.math.BigDecimal attributionBillingGameInAppRoi2days;
    /**
     * 计费三日付费ROI
     */
    @Excel(name = "计费三日付费ROI", width = 15)
    @ApiModelProperty(value = "计费三日付费ROI")
    private java.math.BigDecimal attributionBillingGameInAppRoi3days;
    /**
     * 计费四日付费ROI
     */
    @Excel(name = "计费四日付费ROI", width = 15)
    @ApiModelProperty(value = "计费四日付费ROI")
    private java.math.BigDecimal attributionBillingGameInAppRoi4days;
    /**
     * 计费五日付费ROI
     */
    @Excel(name = "计费五日付费ROI", width = 15)
    @ApiModelProperty(value = "计费五日付费ROI")
    private java.math.BigDecimal attributionBillingGameInAppRoi5days;
    /**
     * 计费六日付费ROI
     */
    @Excel(name = "计费六日付费ROI", width = 15)
    @ApiModelProperty(value = "计费六日付费ROI")
    private java.math.BigDecimal attributionBillingGameInAppRoi6days;
    /**
     * 计费七日付费ROI
     */
    @Excel(name = "计费七日付费ROI", width = 15)
    @ApiModelProperty(value = "计费七日付费ROI")
    private java.math.BigDecimal attributionBillingGameInAppRoi7days;
    /**
     * 7日付费成本(计费时间)
     */
    @Excel(name = "7日付费成本(计费时间)", width = 15)
    @ApiModelProperty(value = "7日付费成本(计费时间)")
    private java.math.BigDecimal attributionBillingGamePay7dCost;
    /**
     * 7日付费次数(计费时间)
     */
    @Excel(name = "7日付费次数(计费时间)", width = 15)
    @ApiModelProperty(value = "7日付费次数(计费时间)")
    private Integer attributionBillingGamePay7dCount;
    /**
     * 回访-信息确认(计费时间)
     */
    @Excel(name = "回访-信息确认(计费时间)", width = 15)
    @ApiModelProperty(value = "回访-信息确认(计费时间)")
    private Integer attributionClueConfirm;
    /**
     * 信息确认成本(计费时间)
     */
    @Excel(name = "信息确认成本(计费时间)", width = 15)
    @ApiModelProperty(value = "信息确认成本(计费时间)")
    private java.math.BigDecimal attributionClueConfirmCost;
    /**
     * 回访-高潜成交(计费时间)
     */
    @Excel(name = "回访-高潜成交(计费时间)", width = 15)
    @ApiModelProperty(value = "回访-高潜成交(计费时间)")
    private Integer attributionClueHighIntention;
    /**
     * 回访-高潜成交成本(计费时间)
     */
    @Excel(name = "回访-高潜成交成本(计费时间)", width = 15)
    @ApiModelProperty(value = "回访-高潜成交成本(计费时间)")
    private java.math.BigDecimal attributionClueHighIntentionCost;
    /**
     * 回访-加为好友(计费时间)
     */
    @Excel(name = "回访-加为好友(计费时间)", width = 15)
    @ApiModelProperty(value = "回访-加为好友(计费时间)")
    private Integer attributionClueInterflow;
    /**
     * 回访-加为好友成本(计费时间)
     */
    @Excel(name = "回访-加为好友成本(计费时间)", width = 15)
    @ApiModelProperty(value = "回访-加为好友成本(计费时间)")
    private java.math.BigDecimal attributionClueInterflowCost;
    /**
     * 支付-存在意向(计费时间)
     */
    @Excel(name = "支付-存在意向(计费时间)", width = 15)
    @ApiModelProperty(value = "支付-存在意向(计费时间)")
    private Integer attributionCluePaySucceed;
    /**
     * 支付-存在意向成本(计费时间)
     */
    @Excel(name = "支付-存在意向成本(计费时间)", width = 15)
    @ApiModelProperty(value = "支付-存在意向成本(计费时间)")
    private java.math.BigDecimal attributionCluePaySucceedCost;
    /**
     * attributionConversionClassCount
     */
    @Excel(name = "attributionConversionClassCount", width = 15)
    @ApiModelProperty(value = "attributionConversionClassCount")
    private Integer attributionConversionClassCount;
    /**
     * 转化率(计费时间)
     */
    @Excel(name = "转化率(计费时间)", width = 15)
    @ApiModelProperty(value = "转化率(计费时间)")
    private java.math.BigDecimal attributionConversionRate;
    /**
     * 转化数(计费时间)
     */
    @Excel(name = "转化数(计费时间)", width = 15)
    @ApiModelProperty(value = "转化数(计费时间)")
    private Integer attributionConvertCnt;
    /**
     * 转化成本（计费时间）
     */
    @Excel(name = "转化成本（计费时间）", width = 15)
    @ApiModelProperty(value = "转化成本（计费时间）")
    private java.math.BigDecimal attributionConvertCost;
    /**
     * 有效获客(计费时间)
     */
    @Excel(name = "有效获客(计费时间)", width = 15)
    @ApiModelProperty(value = "有效获客(计费时间)")
    private Integer attributionCustomerEffective;
    /**
     * 有效获客成本(计费时间)
     */
    @Excel(name = "有效获客成本(计费时间)", width = 15)
    @ApiModelProperty(value = "有效获客成本(计费时间)")
    private java.math.BigDecimal attributionCustomerEffectiveCost;
    /**
     * 计费当日激活且首次付费成本
     */
    @Excel(name = "计费当日激活且首次付费成本", width = 15)
    @ApiModelProperty(value = "计费当日激活且首次付费成本")
    private java.math.BigDecimal attributionDayActivePayCost;
    /**
     * 计费当日激活且首次付费次数
     */
    @Excel(name = "计费当日激活且首次付费次数", width = 15)
    @ApiModelProperty(value = "计费当日激活且首次付费次数")
    private Integer attributionDayActivePayCount;
    /**
     * 计费当日激活且首次付费率
     */
    @Excel(name = "计费当日激活且首次付费率", width = 15)
    @ApiModelProperty(value = "计费当日激活且首次付费率")
    private java.math.BigDecimal attributionDayActivePayRate;
    /**
     * 深度转化数(计费时间)
     */
    @Excel(name = "深度转化数(计费时间)", width = 15)
    @ApiModelProperty(value = "深度转化数(计费时间)")
    private Integer attributionDeepConvertCnt;
    /**
     * 深度转化成本(计费时间)
     */
    @Excel(name = "深度转化成本(计费时间)", width = 15)
    @ApiModelProperty(value = "深度转化成本(计费时间)")
    private java.math.BigDecimal attributionDeepConvertCost;
    /**
     * 深度转化率(计费时间)
     */
    @Excel(name = "深度转化率(计费时间)", width = 15)
    @ApiModelProperty(value = "深度转化率(计费时间)")
    private java.math.BigDecimal attributionDeepConvertRate;
    /**
     * 当日付费金额
     */
    @Excel(name = "当日付费金额", width = 15)
    @ApiModelProperty(value = "当日付费金额")
    private java.math.BigDecimal attributionGameInAppLtv1day;
    /**
     * 一日付费金额
     */
    @Excel(name = "一日付费金额", width = 15)
    @ApiModelProperty(value = "一日付费金额")
    private java.math.BigDecimal attributionGameInAppLtv2days;
    /**
     * 二日付费金额
     */
    @Excel(name = "二日付费金额", width = 15)
    @ApiModelProperty(value = "二日付费金额")
    private java.math.BigDecimal attributionGameInAppLtv3days;
    /**
     * 三日付费金额
     */
    @Excel(name = "三日付费金额", width = 15)
    @ApiModelProperty(value = "三日付费金额")
    private java.math.BigDecimal attributionGameInAppLtv4days;
    /**
     * 四日付费金额
     */
    @Excel(name = "四日付费金额", width = 15)
    @ApiModelProperty(value = "四日付费金额")
    private java.math.BigDecimal attributionGameInAppLtv5days;
    /**
     * 五日付费金额
     */
    @Excel(name = "五日付费金额", width = 15)
    @ApiModelProperty(value = "五日付费金额")
    private java.math.BigDecimal attributionGameInAppLtv6days;
    /**
     * 六日付费金额
     */
    @Excel(name = "六日付费金额", width = 15)
    @ApiModelProperty(value = "六日付费金额")
    private java.math.BigDecimal attributionGameInAppLtv7days;
    /**
     * 七日付费金额
     */
    @Excel(name = "七日付费金额", width = 15)
    @ApiModelProperty(value = "七日付费金额")
    private java.math.BigDecimal attributionGameInAppLtv8days;
    /**
     * 当日付费ROI
     */
    @Excel(name = "当日付费ROI", width = 15)
    @ApiModelProperty(value = "当日付费ROI")
    private java.math.BigDecimal attributionGameInAppRoi1day;
    /**
     * 一日付费ROI
     */
    @Excel(name = "一日付费ROI", width = 15)
    @ApiModelProperty(value = "一日付费ROI")
    private java.math.BigDecimal attributionGameInAppRoi2days;
    /**
     * 二日付费ROI
     */
    @Excel(name = "二日付费ROI", width = 15)
    @ApiModelProperty(value = "二日付费ROI")
    private java.math.BigDecimal attributionGameInAppRoi3days;
    /**
     * 三日付费ROI
     */
    @Excel(name = "三日付费ROI", width = 15)
    @ApiModelProperty(value = "三日付费ROI")
    private java.math.BigDecimal attributionGameInAppRoi4days;
    /**
     * 四日付费ROI
     */
    @Excel(name = "四日付费ROI", width = 15)
    @ApiModelProperty(value = "四日付费ROI")
    private java.math.BigDecimal attributionGameInAppRoi5days;
    /**
     * 五日付费ROI
     */
    @Excel(name = "五日付费ROI", width = 15)
    @ApiModelProperty(value = "五日付费ROI")
    private java.math.BigDecimal attributionGameInAppRoi6days;
    /**
     * 六日付费ROI
     */
    @Excel(name = "六日付费ROI", width = 15)
    @ApiModelProperty(value = "六日付费ROI")
    private java.math.BigDecimal attributionGameInAppRoi7days;
    /**
     * 七日付费ROI
     */
    @Excel(name = "七日付费ROI", width = 15)
    @ApiModelProperty(value = "七日付费ROI")
    private java.math.BigDecimal attributionGameInAppRoi8days;
    /**
     * 7日付费成本(激活时间)
     */
    @Excel(name = "7日付费成本(激活时间)", width = 15)
    @ApiModelProperty(value = "7日付费成本(激活时间)")
    private java.math.BigDecimal attributionGamePay7dCost;
    /**
     * 7日付费次数（激活时间）
     */
    @Excel(name = "7日付费次数（激活时间）", width = 15)
    @ApiModelProperty(value = "7日付费次数（激活时间）")
    private Integer attributionGamePay7dCount;
    /**
     * 小游戏当日LTV
     */
    @Excel(name = "小游戏当日LTV", width = 15)
    @ApiModelProperty(value = "小游戏当日LTV")
    private java.math.BigDecimal attributionMicroGame0dLtv;
    /**
     * 小游戏当日广告变现ROI
     */
    @Excel(name = "小游戏当日广告变现ROI", width = 15)
    @ApiModelProperty(value = "小游戏当日广告变现ROI")
    private java.math.BigDecimal attributionMicroGame0dRoi;
    /**
     * 小游戏激活后三日LTV
     */
    @Excel(name = "小游戏激活后三日LTV", width = 15)
    @ApiModelProperty(value = "小游戏激活后三日LTV")
    private java.math.BigDecimal attributionMicroGame3dLtv;
    /**
     * 小游戏激活后三日广告变现ROI
     */
    @Excel(name = "小游戏激活后三日广告变现ROI", width = 15)
    @ApiModelProperty(value = "小游戏激活后三日广告变现ROI")
    private java.math.BigDecimal attributionMicroGame3dRoi;
    /**
     * 小游戏激活后七日LTV
     */
    @Excel(name = "小游戏激活后七日LTV", width = 15)
    @ApiModelProperty(value = "小游戏激活后七日LTV")
    private java.math.BigDecimal attributionMicroGame7dLtv;
    /**
     * 小游戏激活后七日广告变现ROI
     */
    @Excel(name = "小游戏激活后七日广告变现ROI", width = 15)
    @ApiModelProperty(value = "小游戏激活后七日广告变现ROI")
    private java.math.BigDecimal attributionMicroGame7dRoi;
    /**
     * 次留数
     */
    @Excel(name = "次留数", width = 15)
    @ApiModelProperty(value = "次留数")
    private Integer attributionNextDayOpenCnt;
    /**
     * 次留成本
     */
    @Excel(name = "次留成本", width = 15)
    @ApiModelProperty(value = "次留成本")
    private java.math.BigDecimal attributionNextDayOpenCost;
    /**
     * 次留率
     */
    @Excel(name = "次留率", width = 15)
    @ApiModelProperty(value = "次留率")
    private java.math.BigDecimal attributionNextDayOpenRate;
    /**
     * 2日留存数
     */
    @Excel(name = "2日留存数", width = 15)
    @ApiModelProperty(value = "2日留存数")
    private Integer attributionRetention2dCnt;
    /**
     * 2日留存成本
     */
    @Excel(name = "2日留存成本", width = 15)
    @ApiModelProperty(value = "2日留存成本")
    private java.math.BigDecimal attributionRetention2dCost;
    /**
     * 2日留存率
     */
    @Excel(name = "2日留存率", width = 15)
    @ApiModelProperty(value = "2日留存率")
    private java.math.BigDecimal attributionRetention2dRate;
    /**
     * 3日留存数
     */
    @Excel(name = "3日留存数", width = 15)
    @ApiModelProperty(value = "3日留存数")
    private Integer attributionRetention3dCnt;
    /**
     * 3日留存成本
     */
    @Excel(name = "3日留存成本", width = 15)
    @ApiModelProperty(value = "3日留存成本")
    private java.math.BigDecimal attributionRetention3dCost;
    /**
     * 3日留存率
     */
    @Excel(name = "3日留存率", width = 15)
    @ApiModelProperty(value = "3日留存率")
    private java.math.BigDecimal attributionRetention3dRate;
    /**
     * 4日留存数
     */
    @Excel(name = "4日留存数", width = 15)
    @ApiModelProperty(value = "4日留存数")
    private Integer attributionRetention4dCnt;
    /**
     * 4日留存成本
     */
    @Excel(name = "4日留存成本", width = 15)
    @ApiModelProperty(value = "4日留存成本")
    private java.math.BigDecimal attributionRetention4dCost;
    /**
     * 4日留存率
     */
    @Excel(name = "4日留存率", width = 15)
    @ApiModelProperty(value = "4日留存率")
    private java.math.BigDecimal attributionRetention4dRate;
    /**
     * 5日留存数
     */
    @Excel(name = "5日留存数", width = 15)
    @ApiModelProperty(value = "5日留存数")
    private Integer attributionRetention5dCnt;
    /**
     * 5日留存成本
     */
    @Excel(name = "5日留存成本", width = 15)
    @ApiModelProperty(value = "5日留存成本")
    private java.math.BigDecimal attributionRetention5dCost;
    /**
     * 5日留存率
     */
    @Excel(name = "5日留存率", width = 15)
    @ApiModelProperty(value = "5日留存率")
    private java.math.BigDecimal attributionRetention5dRate;
    /**
     * 6日留存数
     */
    @Excel(name = "6日留存数", width = 15)
    @ApiModelProperty(value = "6日留存数")
    private Integer attributionRetention6dCnt;
    /**
     * 6日留存成本
     */
    @Excel(name = "6日留存成本", width = 15)
    @ApiModelProperty(value = "6日留存成本")
    private java.math.BigDecimal attributionRetention6dCost;
    /**
     * 6日留存率
     */
    @Excel(name = "6日留存率", width = 15)
    @ApiModelProperty(value = "6日留存率")
    private java.math.BigDecimal attributionRetention6dRate;
    /**
     * 7日留存数
     */
    @Excel(name = "7日留存数", width = 15)
    @ApiModelProperty(value = "7日留存数")
    private Integer attributionRetention7dCnt;
    /**
     * 7日留存成本
     */
    @Excel(name = "7日留存成本", width = 15)
    @ApiModelProperty(value = "7日留存成本")
    private java.math.BigDecimal attributionRetention7dCost;
    /**
     * 7日留存率
     */
    @Excel(name = "7日留存率", width = 15)
    @ApiModelProperty(value = "7日留存率")
    private java.math.BigDecimal attributionRetention7dRate;
    /**
     * 7日留存总数
     */
    @Excel(name = "7日留存总数", width = 15)
    @ApiModelProperty(value = "7日留存总数")
    private Integer attributionRetention7dSumCnt;
    /**
     * 7日留存总成本
     */
    @Excel(name = "7日留存总成本", width = 15)
    @ApiModelProperty(value = "7日留存总成本")
    private java.math.BigDecimal attributionRetention7dTotalCost;
    /**
     * 企业微信添加好友数(计费时间)
     */
    @Excel(name = "企业微信添加好友数(计费时间)", width = 15)
    @ApiModelProperty(value = "企业微信添加好友数(计费时间)")
    private Integer attributionWorkWechatAddedCount;
    /**
     * attributionWorkWechatDialogCount
     */
    @Excel(name = "attributionWorkWechatDialogCount", width = 15)
    @ApiModelProperty(value = "attributionWorkWechatDialogCount")
    private Integer attributionWorkWechatDialogCount;
    /**
     * 企业微信取消好友数(计费时间)
     */
    @Excel(name = "企业微信取消好友数(计费时间)", width = 15)
    @ApiModelProperty(value = "企业微信取消好友数(计费时间)")
    private Integer attributionWorkWechatUnfriendCount;
    /**
     * averagePlayTimePerPlay
     */
    @Excel(name = "averagePlayTimePerPlay", width = 15)
    @ApiModelProperty(value = "averagePlayTimePerPlay")
    private java.math.BigDecimal averagePlayTimePerPlay;
    /**
     * bankcardInformationCount
     */
    @Excel(name = "bankcardInformationCount", width = 15)
    @ApiModelProperty(value = "bankcardInformationCount")
    private Integer bankcardInformationCount;
    /**
     * 按钮button
     */
    @Excel(name = "按钮button", width = 15)
    @ApiModelProperty(value = "按钮button")
    private Integer button;
    /**
     * cardShow
     */
    @Excel(name = "cardShow", width = 15)
    @ApiModelProperty(value = "cardShow")
    private Integer cardShow;
    /**
     * certificationInformationCount
     */
    @Excel(name = "certificationInformationCount", width = 15)
    @ApiModelProperty(value = "certificationInformationCount")
    private Integer certificationInformationCount;
    /**
     * clickCallDy
     */
    @Excel(name = "clickCallDy", width = 15)
    @ApiModelProperty(value = "clickCallDy")
    private Integer clickCallDy;
    /**
     * 点击数
     */
    @Excel(name = "点击数", width = 15)
    @ApiModelProperty(value = "点击数")
    private Integer clickCnt;
    /**
     * 安卓下载数
     */
    @Excel(name = "安卓下载数", width = 15)
    @ApiModelProperty(value = "安卓下载数")
    private Integer clickDownload;
    /**
     * clickLandingPage
     */
    @Excel(name = "clickLandingPage", width = 15)
    @ApiModelProperty(value = "clickLandingPage")
    private Integer clickLandingPage;
    /**
     * clickShopwindow
     */
    @Excel(name = "clickShopwindow", width = 15)
    @ApiModelProperty(value = "clickShopwindow")
    private Integer clickShopwindow;
    /**
     * 安卓下载开始数
     */
    @Excel(name = "安卓下载开始数", width = 15)
    @ApiModelProperty(value = "安卓下载开始数")
    private Integer clickStartCnt;
    /**
     * 安卓下载开始成本
     */
    @Excel(name = "安卓下载开始成本", width = 15)
    @ApiModelProperty(value = "安卓下载开始成本")
    private java.math.BigDecimal clickStartCost;
    /**
     * 安卓下载开始率
     */
    @Excel(name = "安卓下载开始率", width = 15)
    @ApiModelProperty(value = "安卓下载开始率")
    private java.math.BigDecimal clickStartRate;
    /**
     * clickWebsite
     */
    @Excel(name = "clickWebsite", width = 15)
    @ApiModelProperty(value = "clickWebsite")
    private Integer clickWebsite;
    /**
     * 在线咨询
     */
    @Excel(name = "在线咨询", width = 15)
    @ApiModelProperty(value = "在线咨询")
    private Integer consult;
    /**
     * 留咨咨询
     */
    @Excel(name = "留咨咨询", width = 15)
    @ApiModelProperty(value = "留咨咨询")
    private Integer consultClue;
    /**
     * 有效咨询
     */
    @Excel(name = "有效咨询", width = 15)
    @ApiModelProperty(value = "有效咨询")
    private Integer consultEffective;
    /**
     * 平均转化成本
     */
    @Excel(name = "平均转化成本", width = 15)
    @ApiModelProperty(value = "平均转化成本")
    private java.math.BigDecimal conversionCost;
    /**
     * 平均转化率
     */
    @Excel(name = "平均转化率", width = 15)
    @ApiModelProperty(value = "平均转化率")
    private java.math.BigDecimal conversionRate;
    /**
     * 转化数
     */
    @Excel(name = "转化数", width = 15)
    @ApiModelProperty(value = "转化数")
    private Integer convertCnt;
    /**
     * 建站卡券领取
     */
    @Excel(name = "建站卡券领取", width = 15)
    @ApiModelProperty(value = "建站卡券领取")
    private Integer coupon;
    /**
     * 卡券页领取
     */
    @Excel(name = "卡券页领取", width = 15)
    @ApiModelProperty(value = "卡券页领取")
    private Integer couponSinglePage;
    /**
     * 平均点击单价
     */
    @Excel(name = "平均点击单价", width = 15)
    @ApiModelProperty(value = "平均点击单价")
    private java.math.BigDecimal cpcPlatform;
    /**
     * 平均千次展现费用
     */
    @Excel(name = "平均千次展现费用", width = 15)
    @ApiModelProperty(value = "平均千次展现费用")
    private java.math.BigDecimal cpmPlatform;
    /**
     * 点击率
     */
    @Excel(name = "点击率", width = 15)
    @ApiModelProperty(value = "点击率")
    private java.math.BigDecimal ctr;
    /**
     * 有效获客
     */
    @Excel(name = "有效获客", width = 15)
    @ApiModelProperty(value = "有效获客")
    private Integer customerEffective;
    /**
     * 深度转化数
     */
    @Excel(name = "深度转化数", width = 15)
    @ApiModelProperty(value = "深度转化数")
    private Integer deepConvertCnt;
    /**
     * 深度转化成本
     */
    @Excel(name = "深度转化成本", width = 15)
    @ApiModelProperty(value = "深度转化成本")
    private java.math.BigDecimal deepConvertCost;
    /**
     * 深度转化率
     */
    @Excel(name = "深度转化率", width = 15)
    @ApiModelProperty(value = "深度转化率")
    private java.math.BigDecimal deepConvertRate;
    /**
     * 安卓下载完成数
     */
    @Excel(name = "安卓下载完成数", width = 15)
    @ApiModelProperty(value = "安卓下载完成数")
    private Integer downloadFinishCnt;
    /**
     * 安卓下载完成成本
     */
    @Excel(name = "安卓下载完成成本", width = 15)
    @ApiModelProperty(value = "安卓下载完成成本")
    private java.math.BigDecimal downloadFinishCost;
    /**
     * 安卓下载完成率
     */
    @Excel(name = "安卓下载完成率", width = 15)
    @ApiModelProperty(value = "安卓下载完成率")
    private java.math.BigDecimal downloadFinishRate;
    /**
     * 下载开始
     */
    @Excel(name = "下载开始", width = 15)
    @ApiModelProperty(value = "下载开始")
    private Integer downloadStart;
    /**
     * dyComment
     */
    @Excel(name = "dyComment", width = 15)
    @ApiModelProperty(value = "dyComment")
    private Integer dyComment;
    /**
     * dyFollow
     */
    @Excel(name = "dyFollow", width = 15)
    @ApiModelProperty(value = "dyFollow")
    private Integer dyFollow;
    /**
     * dyHomeVisited
     */
    @Excel(name = "dyHomeVisited", width = 15)
    @ApiModelProperty(value = "dyHomeVisited")
    private Integer dyHomeVisited;
    /**
     * dyLike
     */
    @Excel(name = "dyLike", width = 15)
    @ApiModelProperty(value = "dyLike")
    private Integer dyLike;
    /**
     * dyShare
     */
    @Excel(name = "dyShare", width = 15)
    @ApiModelProperty(value = "dyShare")
    private Integer dyShare;
    /**
     * firstClassCount
     */
    @Excel(name = "firstClassCount", width = 15)
    @ApiModelProperty(value = "firstClassCount")
    private Integer firstClassCount;
    /**
     * 表单提交数
     */
    @Excel(name = "表单提交数", width = 15)
    @ApiModelProperty(value = "表单提交数")
    private Integer form;
    /**
     * 附加创意表单提交添加数
     */
    @Excel(name = "附加创意表单提交添加数", width = 15)
    @ApiModelProperty(value = "附加创意表单提交添加数")
    private Integer formSubmit;
    /**
     * 关键行为数
     */
    @Excel(name = "关键行为数", width = 15)
    @ApiModelProperty(value = "关键行为数")
    private Integer gameAddiction;
    /**
     * 关键行为成本
     */
    @Excel(name = "关键行为成本", width = 15)
    @ApiModelProperty(value = "关键行为成本")
    private java.math.BigDecimal gameAddictionCost;
    /**
     * 关键行为率
     */
    @Excel(name = "关键行为率", width = 15)
    @ApiModelProperty(value = "关键行为率")
    private java.math.BigDecimal gameAddictionRate;
    /**
     * 付费成本
     */
    @Excel(name = "付费成本", width = 15)
    @ApiModelProperty(value = "付费成本")
    private java.math.BigDecimal gamePayCost;
    /**
     * 付费次数
     */
    @Excel(name = "付费次数", width = 15)
    @ApiModelProperty(value = "付费次数")
    private Integer gamePayCount;
    /**
     * highLoanCreditCount
     */
    @Excel(name = "highLoanCreditCount", width = 15)
    @ApiModelProperty(value = "highLoanCreditCount")
    private Integer highLoanCreditCount;
    /**
     * iesChallengeClick
     */
    @Excel(name = "iesChallengeClick", width = 15)
    @ApiModelProperty(value = "iesChallengeClick")
    private Integer iesChallengeClick;
    /**
     * iesMusicClick
     */
    @Excel(name = "iesMusicClick", width = 15)
    @ApiModelProperty(value = "iesMusicClick")
    private Integer iesMusicClick;
    /**
     * APP内加入购物车
     */
    @Excel(name = "APP内加入购物车", width = 15)
    @ApiModelProperty(value = "APP内加入购物车")
    private Integer inAppCart;
    /**
     * APP内访问详情页
     */
    @Excel(name = "APP内访问详情页", width = 15)
    @ApiModelProperty(value = "APP内访问详情页")
    private Integer inAppDetailUv;
    /**
     * APP内下单
     */
    @Excel(name = "APP内下单", width = 15)
    @ApiModelProperty(value = "APP内下单")
    private Integer inAppOrder;
    /**
     * inAppOrderGmv
     */
    @Excel(name = "inAppOrderGmv", width = 15)
    @ApiModelProperty(value = "inAppOrderGmv")
    private java.math.BigDecimal inAppOrderGmv;
    /**
     * inAppOrderRoi
     */
    @Excel(name = "inAppOrderRoi", width = 15)
    @ApiModelProperty(value = "inAppOrderRoi")
    private java.math.BigDecimal inAppOrderRoi;
    /**
     * APP内付费
     */
    @Excel(name = "APP内付费", width = 15)
    @ApiModelProperty(value = "APP内付费")
    private Integer inAppPay;
    /**
     * inAppPayGmv
     */
    @Excel(name = "inAppPayGmv", width = 15)
    @ApiModelProperty(value = "inAppPayGmv")
    private java.math.BigDecimal inAppPayGmv;
    /**
     * inAppPayRoi
     */
    @Excel(name = "inAppPayRoi", width = 15)
    @ApiModelProperty(value = "inAppPayRoi")
    private java.math.BigDecimal inAppPayRoi;
    /**
     * APP内访问
     */
    @Excel(name = "APP内访问", width = 15)
    @ApiModelProperty(value = "APP内访问")
    private Integer inAppUv;
    /**
     * inWechatPayCount
     */
    @Excel(name = "inWechatPayCount", width = 15)
    @ApiModelProperty(value = "inWechatPayCount")
    private Integer inWechatPayCount;
    /**
     * 安卓安装完成数
     */
    @Excel(name = "安卓安装完成数", width = 15)
    @ApiModelProperty(value = "安卓安装完成数")
    private Integer installFinishCnt;
    /**
     * 安卓安装完成成本
     */
    @Excel(name = "安卓安装完成成本", width = 15)
    @ApiModelProperty(value = "安卓安装完成成本")
    private java.math.BigDecimal installFinishCost;
    /**
     * 安卓安装完成率
     */
    @Excel(name = "安卓安装完成率", width = 15)
    @ApiModelProperty(value = "安卓安装完成率")
    private java.math.BigDecimal installFinishRate;
    /**
     * insuranceLtRoi
     */
    @Excel(name = "insuranceLtRoi", width = 15)
    @ApiModelProperty(value = "insuranceLtRoi")
    private java.math.BigDecimal insuranceLtRoi;
    /**
     * liveComponentClickCost
     */
    @Excel(name = "liveComponentClickCost", width = 15)
    @ApiModelProperty(value = "liveComponentClickCost")
    private java.math.BigDecimal liveComponentClickCost;
    /**
     * liveComponentClickCount
     */
    @Excel(name = "liveComponentClickCount", width = 15)
    @ApiModelProperty(value = "liveComponentClickCount")
    private Integer liveComponentClickCount;
    /**
     * liveComponentClickRate
     */
    @Excel(name = "liveComponentClickRate", width = 15)
    @ApiModelProperty(value = "liveComponentClickRate")
    private java.math.BigDecimal liveComponentClickRate;
    /**
     * liveWatchOneMinuteCount
     */
    @Excel(name = "liveWatchOneMinuteCount", width = 15)
    @ApiModelProperty(value = "liveWatchOneMinuteCount")
    private Integer liveWatchOneMinuteCount;
    /**
     * 放款数
     */
    @Excel(name = "放款数", width = 15)
    @ApiModelProperty(value = "放款数")
    private java.math.BigDecimal loan;
    /**
     * 完件数
     */
    @Excel(name = "完件数", width = 15)
    @ApiModelProperty(value = "完件数")
    private Integer loanCompletion;
    /**
     * 完件成本
     */
    @Excel(name = "完件成本", width = 15)
    @ApiModelProperty(value = "完件成本")
    private java.math.BigDecimal loanCompletionCost;
    /**
     * 完件率
     */
    @Excel(name = "完件率", width = 15)
    @ApiModelProperty(value = "完件率")
    private java.math.BigDecimal loanCompletionRate;
    /**
     * 放款成本
     */
    @Excel(name = "放款成本", width = 15)
    @ApiModelProperty(value = "放款成本")
    private java.math.BigDecimal loanCost;
    /**
     * 预授信数
     */
    @Excel(name = "预授信数", width = 15)
    @ApiModelProperty(value = "预授信数")
    private Integer loanCredit;
    /**
     * 预授信成本
     */
    @Excel(name = "预授信成本", width = 15)
    @ApiModelProperty(value = "预授信成本")
    private java.math.BigDecimal loanCreditCost;
    /**
     * 预授信率
     */
    @Excel(name = "预授信率", width = 15)
    @ApiModelProperty(value = "预授信率")
    private java.math.BigDecimal loanCreditRate;
    /**
     * 放款率
     */
    @Excel(name = "放款率", width = 15)
    @ApiModelProperty(value = "放款率")
    private java.math.BigDecimal loanRate;
    /**
     * locationClick
     */
    @Excel(name = "locationClick", width = 15)
    @ApiModelProperty(value = "locationClick")
    private Integer locationClick;
    /**
     * 抽奖
     */
    @Excel(name = "抽奖", width = 15)
    @ApiModelProperty(value = "抽奖")
    private Integer lottery;
    /**
     * lowLoanCreditCount
     */
    @Excel(name = "lowLoanCreditCount", width = 15)
    @ApiModelProperty(value = "lowLoanCreditCount")
    private Integer lowLoanCreditCount;
    /**
     * lubanLiveCommentCnt
     */
    @Excel(name = "lubanLiveCommentCnt", width = 15)
    @ApiModelProperty(value = "lubanLiveCommentCnt")
    private Integer lubanLiveCommentCnt;
    /**
     * lubanLiveEnterCnt
     */
    @Excel(name = "lubanLiveEnterCnt", width = 15)
    @ApiModelProperty(value = "lubanLiveEnterCnt")
    private Integer lubanLiveEnterCnt;
    /**
     * lubanLiveFollowCnt
     */
    @Excel(name = "lubanLiveFollowCnt", width = 15)
    @ApiModelProperty(value = "lubanLiveFollowCnt")
    private Integer lubanLiveFollowCnt;
    /**
     * lubanLiveShareCnt
     */
    @Excel(name = "lubanLiveShareCnt", width = 15)
    @ApiModelProperty(value = "lubanLiveShareCnt")
    private Integer lubanLiveShareCnt;
    /**
     * 地图搜索
     */
    @Excel(name = "地图搜索", width = 15)
    @ApiModelProperty(value = "地图搜索")
    private Integer map;
    /**
     * 短信咨询
     */
    @Excel(name = "短信咨询", width = 15)
    @ApiModelProperty(value = "短信咨询")
    private Integer message;
    /**
     * messageAction
     */
    @Excel(name = "messageAction", width = 15)
    @ApiModelProperty(value = "messageAction")
    private Integer messageAction;
    /**
     * 次留回传数
     */
    @Excel(name = "次留回传数", width = 15)
    @ApiModelProperty(value = "次留回传数")
    private Integer nextDayOpen;
    /**
     * openAccountCount
     */
    @Excel(name = "openAccountCount", width = 15)
    @ApiModelProperty(value = "openAccountCount")
    private Integer openAccountCount;
    /**
     * 付费ROI(回传时间)
     */
    @Excel(name = "付费ROI(回传时间)", width = 15)
    @ApiModelProperty(value = "付费ROI(回传时间)")
    private java.math.BigDecimal payAmountRoi;
    /**
     * personalInformationCount
     */
    @Excel(name = "personalInformationCount", width = 15)
    @ApiModelProperty(value = "personalInformationCount")
    private Integer personalInformationCount;
    /**
     * 点击电话按钮
     */
    @Excel(name = "点击电话按钮", width = 15)
    @ApiModelProperty(value = "点击电话按钮")
    private Integer phone;
    /**
     * 智能电话-确认拨打
     */
    @Excel(name = "智能电话-确认拨打", width = 15)
    @ApiModelProperty(value = "智能电话-确认拨打")
    private Integer phoneConfirm;
    /**
     * 智能电话-确认接通
     */
    @Excel(name = "智能电话-确认接通", width = 15)
    @ApiModelProperty(value = "智能电话-确认接通")
    private Integer phoneConnect;
    /**
     * 智能电话-有效接通
     */
    @Excel(name = "智能电话-有效接通", width = 15)
    @ApiModelProperty(value = "智能电话-有效接通")
    private Integer phoneEffective;
    /**
     * 视频数据-25%进度播放数
     */
    @Excel(name = "视频数据-25%进度播放数", width = 15)
    @ApiModelProperty(value = "视频数据-25%进度播放数")
    private Integer play25FeedBreak;
    /**
     * 视频数据-50%进度播放数
     */
    @Excel(name = "视频数据-50%进度播放数", width = 15)
    @ApiModelProperty(value = "视频数据-50%进度播放数")
    private Integer play50FeedBreak;
    /**
     * 视频数据-75%进度播放数
     */
    @Excel(name = "视频数据-75%进度播放数", width = 15)
    @ApiModelProperty(value = "视频数据-75%进度播放数")
    private Integer play75FeedBreak;
    /**
     * 视频数据-99%进度播放数
     */
    @Excel(name = "视频数据-99%进度播放数", width = 15)
    @ApiModelProperty(value = "视频数据-99%进度播放数")
    private Integer play99FeedBreak;
    /**
     * playDuration3s
     */
    @Excel(name = "playDuration3s", width = 15)
    @ApiModelProperty(value = "playDuration3s")
    private Integer playDuration3s;
    /**
     * playOverRate
     */
    @Excel(name = "playOverRate", width = 15)
    @ApiModelProperty(value = "playOverRate")
    private java.math.BigDecimal playOverRate;
    /**
     * 查看店铺地址
     */
    @Excel(name = "查看店铺地址", width = 15)
    @ApiModelProperty(value = "查看店铺地址")
    private Integer poiAddressClick;
    /**
     * 店铺收藏
     */
    @Excel(name = "店铺收藏", width = 15)
    @ApiModelProperty(value = "店铺收藏")
    private Integer poiCollect;
    /**
     * 预授信数
     */
    @Excel(name = "预授信数", width = 15)
    @ApiModelProperty(value = "预授信数")
    private Integer preLoanCredit;
    /**
     * 预授信成本
     */
    @Excel(name = "预授信成本", width = 15)
    @ApiModelProperty(value = "预授信成本")
    private java.math.BigDecimal preLoanCreditCost;
    /**
     * 保险支付成本
     */
    @Excel(name = "保险支付成本", width = 15)
    @ApiModelProperty(value = "保险支付成本")
    private java.math.BigDecimal premiumPaymentCost;
    /**
     * 保险支付数
     */
    @Excel(name = "保险支付数", width = 15)
    @ApiModelProperty(value = "保险支付数")
    private Integer premiumPaymentCount;
    /**
     * QQ咨询
     */
    @Excel(name = "QQ咨询", width = 15)
    @ApiModelProperty(value = "QQ咨询")
    private Integer qq;
    /**
     * 页面跳转
     */
    @Excel(name = "页面跳转", width = 15)
    @ApiModelProperty(value = "页面跳转")
    private Integer redirect;
    /**
     * 调起店铺
     */
    @Excel(name = "调起店铺", width = 15)
    @ApiModelProperty(value = "调起店铺")
    private Integer redirectToShop;
    /**
     * secondClassCount
     */
    @Excel(name = "secondClassCount", width = 15)
    @ApiModelProperty(value = "secondClassCount")
    private Integer secondClassCount;
    /**
     * 商品购买
     */
    @Excel(name = "商品购买", width = 15)
    @ApiModelProperty(value = "商品购买")
    private Integer shopping;
    /**
     * 展示数
     */
    @Excel(name = "展示数", width = 15)
    @ApiModelProperty(value = "展示数")
    private Integer showCnt;
    /**
     * 消耗
     */
    @Excel(name = "消耗", width = 15)
    @ApiModelProperty(value = "消耗")
    private java.math.BigDecimal statCost;
    /**
     * 付费金额(回传时间)
     */
    @Excel(name = "付费金额(回传时间)", width = 15)
    @ApiModelProperty(value = "付费金额(回传时间)")
    private java.math.BigDecimal statPayAmount;
    /**
     * totalPlay
     */
    @Excel(name = "totalPlay", width = 15)
    @ApiModelProperty(value = "totalPlay")
    private Integer totalPlay;
    /**
     * unfollowInWechatCount
     */
    @Excel(name = "unfollowInWechatCount", width = 15)
    @ApiModelProperty(value = "unfollowInWechatCount")
    private Integer unfollowInWechatCount;
    /**
     * validPlay
     */
    @Excel(name = "validPlay", width = 15)
    @ApiModelProperty(value = "validPlay")
    private Integer validPlay;
    /**
     * validPlayCost
     */
    @Excel(name = "validPlayCost", width = 15)
    @ApiModelProperty(value = "validPlayCost")
    private java.math.BigDecimal validPlayCost;
    /**
     * validPlayCostOfMille
     */
    @Excel(name = "validPlayCostOfMille", width = 15)
    @ApiModelProperty(value = "validPlayCostOfMille")
    private java.math.BigDecimal validPlayCostOfMille;
    /**
     * validPlayOfMille
     */
    @Excel(name = "validPlayOfMille", width = 15)
    @ApiModelProperty(value = "validPlayOfMille")
    private java.math.BigDecimal validPlayOfMille;
    /**
     * validPlayRate
     */
    @Excel(name = "validPlayRate", width = 15)
    @ApiModelProperty(value = "validPlayRate")
    private java.math.BigDecimal validPlayRate;
    /**
     * 关键页面浏览
     */
    @Excel(name = "关键页面浏览", width = 15)
    @ApiModelProperty(value = "关键页面浏览")
    private Integer view;
    /**
     * 投票
     */
    @Excel(name = "投票", width = 15)
    @ApiModelProperty(value = "投票")
    private Integer vote;
    /**
     * wifiPlayRate
     */
    @Excel(name = "wifiPlayRate", width = 15)
    @ApiModelProperty(value = "wifiPlayRate")
    private java.math.BigDecimal wifiPlayRate;
    /**
     * withdrawM2Count
     */
    @Excel(name = "withdrawM2Count", width = 15)
    @ApiModelProperty(value = "withdrawM2Count")
    private Integer withdrawM2Count;
}
