package cn.com.ctop.job.bytedance.data.service;

import cn.com.ctop.job.bytedance.data.entity.Project;
import cn.com.ctop.job.bytedance.data.entity.UserAllocation;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 用户分配
 * @Author: jeecg-boot
 * @Date: 2019-08-08
 * @Version: V1.0
 */
public interface IUserAllocationService extends IService<UserAllocation> {

    UserAllocation getByAccountId(Long accountId);

    List<UserAllocation> listByMediaId(String mediaId, int accountStatus);

    String getAdvertiserIdByAccountId(Long accountId);

    List<JSONObject> getAccountListByProject(Long projectId);

    List<JSONObject> getUserIdListByProjectId(Long projectId);

    List<JSONObject> getAccountIdListByUserId(String userId);

    JSONObject getSwitchStatusByAccount(Long accountId);

    List<Long> getAccountsByDeleteComment();

    List<UserAllocation> getAccountListByUserIdAndProductId(String userId, Long projectId, Long productId);

    Map<Long, List<JSONObject>> getAccountListByProjectList(List<JSONObject> projectList);

    List<JSONObject> getUserIdListByProductId(Long productId);

    /**
     * 获取有效的项目ID集合
     *
     * @param mediaId 平台类型 1 头条 2快手
     * @throws
     */
    List<Long> getValidProjectIds(Integer mediaId);

    List<JSONObject> getByAccountIds(JSONArray accountIds);

    List<Long> getKuaiShouUserIdListByProjectId(Long projectId);

    List<JSONObject> selectAccountsByKuaishouUserId(Long userId);

    boolean updateProjectStrategyStatus(Long accountId, Integer projectStrategy);

    List<Long> queryAutomaticAccounts(Long projectId);

    List<Long> getIdList();

    JSONObject getProjectByAccountId(Long accountId);

    Project getProjectEntity(Long projectId);
}
