package cn.com.ctop.job.bytedance.data.service.impl;

import cn.com.ctop.job.bytedance.data.entity.OauthToken;
import cn.com.ctop.job.bytedance.data.mapper.OauthTokenMapper;
import cn.com.ctop.job.bytedance.data.service.IOauthTokenService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * token信息
 *
 * @author jeecg-boot 2021-09-07
 * @version V1.0
 */
@Service
public class OauthTokenServiceImpl extends ServiceImpl<OauthTokenMapper, OauthToken> implements IOauthTokenService {
    @Autowired
    private OauthTokenMapper tokenMapper;

    @Override
    public String getByAccountId(Long accountId) {
        return tokenMapper.getByAccountId(accountId);
    }

    @Override
    public List<Long> getAgentByTouTiao() {
        return tokenMapper.getAgentByTouTiao();
    }

    @Override
    public List<Long> getAllToutiaoAccountIds() {
        return tokenMapper.getAllToutiaoAccountIds();
    }

    @Override
    public String getAgentToken(Long accountId) {
        return tokenMapper.getAgentToken(accountId);
    }

    @Override
    public List<JSONObject> getAgentTokens() {
        return tokenMapper.getAgentTokens();
    }

    @Override
    public List<JSONObject> getByProjectId(Long projectId) {
        return tokenMapper.getByProjectId(projectId);
    }

}
